msgpack::object_handle Class Reference

The class holds object and zone. More...

`#include <object.hpp>`

## Public Member Functions

| object_handle ()
| Constructor that creates nil object and null zone. More...
| object_handle (msgpack::object const &obj, msgpack::unique_ptr< msgpack::zone > &&z)
| Constructor that creates an object_handle holding object `obj` and zone `z`. More...
void | set (msgpack::object const &obj)
const msgpack::object & | get () const
| Get object reference. More...
const msgpack::object & | operator* () const
const msgpack::object * | operator-> () const
msgpack::unique_ptr< msgpack::zone > & | zone ()
| Get unique_ptr reference of zone. More...
const msgpack::unique_ptr< msgpack::zone > & | zone () const
| Get unique_ptr const reference of zone. More...

## Detailed Description

The class holds object and zone.

## Constructor & Destructor Documentation

## object_handle() [1/2]

msgpack::object_handle::object_handle | ( |  | ) |

inline

Constructor that creates nil object and null zone.

## object_handle() [2/2]

msgpack::object_handle::object_handle | ( | msgpack::object const & | obj,
|  | msgpack::unique_ptr< msgpack::zone > && | z
| ) |  |

inline

Constructor that creates an object_handle holding object `obj` and zone `z`.

Parameters

  obj | object
  z | zone

## Member Function Documentation

## get()

const msgpack::object& msgpack::object_handle::get | ( |  | ) | const

inline

Get object reference.

Returns
  object

## operator*()

const msgpack::object& msgpack::object_handle::operator* | ( |  | ) | const

inline

Returns
  object (to mimic smart pointers).

## operator->()

const msgpack::object* msgpack::object_handle::operator-> | ( |  | ) | const

inline

Returns
  the address of the object (to mimic smart pointers).

## set()

void msgpack::object_handle::set | ( | msgpack::object const & | obj | ) |

inline

Referenced by msgpack::unpacker::next(), and msgpack::unpack().

## zone() [1/2]

msgpack::unique_ptr<msgpack::zone>& msgpack::object_handle::zone | ( |  | ) |

inline

Get unique_ptr reference of zone.

Returns
  unique_ptr reference of zone

Referenced by msgpack::unpacker::next(), and msgpack::unpack().

## zone() [2/2]

const msgpack::unique_ptr<msgpack::zone>& msgpack::object_handle::zone | ( |  | ) | const

inline

Get unique_ptr const reference of zone.

Returns
  unique_ptr const reference of zone

References msgpack::move().

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/object.hpp